package de.intevation.gnv.state;

import java.io.Serializable;

import java.util.Collection;
import java.util.List;

/**
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public interface OutputMode extends Serializable {

    public String getName();

    public String getDescription();

    public String getMimeType();

    public Collection<InputValue> getInputParameters();

    public List<ExportMode> getExportModes();
}
